com.tibco.tibems.tibemsd.security

## Enum Action.Type

- java.lang.Object
- - java.lang.Enum<Action.Type>
  - - com.tibco.tibems.tibemsd.security.Action.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Action.Type>
  Enclosing interface:
    Action

      public static enum Action.Type
      extends java.lang.Enum<Action.Type>

  Action.Type represents various actions that can be permissioned by the EMS server. These correspond to the permissions that can be granted in the acl.conf file.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `QUEUE_BROWSE` permission to create queue browsers
    `QUEUE_RECEIVE` permission to create queue receivers
    `QUEUE_SEND` permission to create queue senders
    `TOPIC_DURABLE` permission to create, delete, or modify durable subscribers on the topic
    `TOPIC_PUBLISH` permission to publish on the topic
    `TOPIC_SUBSCRIBE` permission to create non-durable subscribers on the topic
    `TOPIC_USE_DURABLE` permission to use an existing durable subscriber on the topic, but not to create, delete, or modify the durable subscriber

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Action.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Action.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUEUE_RECEIVE

          public static final Action.Type QUEUE_RECEIVE

      permission to create queue receivers

    - #### QUEUE_SEND

          public static final Action.Type QUEUE_SEND

      permission to create queue senders

    - #### QUEUE_BROWSE

          public static final Action.Type QUEUE_BROWSE

      permission to create queue browsers

    - #### TOPIC_SUBSCRIBE

          public static final Action.Type TOPIC_SUBSCRIBE

      permission to create non-durable subscribers on the topic

    - #### TOPIC_PUBLISH

          public static final Action.Type TOPIC_PUBLISH

      permission to publish on the topic

    - #### TOPIC_DURABLE

          public static final Action.Type TOPIC_DURABLE

      permission to create, delete, or modify durable subscribers on the topic

    - #### TOPIC_USE_DURABLE

          public static final Action.Type TOPIC_USE_DURABLE

      permission to use an existing durable subscriber on the topic, but not to create, delete, or modify the durable subscriber

  - ### Method Detail

    - #### values

          public static Action.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Action.Type c : Action.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Action.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © Cloud Software Group, Inc. All rights reserved